Fwd: [webkit-gtk] Goals for WebKitGTK+ 2.0

Chris Leonard cjlhomeaddress at gmail.com
Tue Oct 2 14:40:05 EDT 2012

The time to chime in on the future of WebKitGTK+ is now, the place is
on their mailing list.

I've already put in a request for working i18n as it has been two
years since they produced a valid POT file.


---------- Forwarded message ----------
From: Martin Robinson <mrobinson at webkit.org>
Date: Tue, Oct 2, 2012 at 2:09 PM
Subject: [webkit-gtk] Goals for WebKitGTK+ 2.0
To: WebKitGTK+ <webkit-gtk at lists.webkit.org>

Hi al! We recently released WebKitGTK+ 1.10, and as I understand it,
the next release will be 2.0. With that in mind, I think it's time to
start planning for the release. Here are some things that I've been
thinking about:

* Drop support for GTK+ 2. By the time we release WebKitGTK+ 2.x, GTK+
3 will have been released for 2 years.

* Depending on whether or not GStreamer 1.0 is released, drop support
for versions before 1.0.

* Stop depending on unstable libsoup APIs. The suggestion here is to
simply work to make unstable libsoup APIs stable.

* After the WebKitGTK+ 2.0, freeze all dependencies until WebKitGTK+
3.x. This is useful, because distributions can ship newer versions of
WebKitGTK+ in older releases. This eliminates the pain of maintaining
a stable WebKit branch for years, which is likely next to impossible.

webkit-gtk mailing list
webkit-gtk at lists.webkit.org

More information about the Devel mailing list